Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Web Tools Project (WTP) » Wizard New SessionBean 2.1
Wizard New SessionBean 2.1 [message #222612] Wed, 08 October 2008 23:13 Go to next message
Renato de Melo is currently offline Renato de MeloFriend
Messages: 2
Registered: July 2009
Junior Member
Wizard new SessionBean for EJB 2.1 doesn't work.
I've tried doing it on Ganymede 3.4.1 and Europa 3.3.2 and 3.3.3, but it
didn’t work in any of them.

I've created a new EJB Project J2EE 1.4, EBJ 2.1.
When I selected the wizard "New > EJB > SessionBean" it always shows the
wizard for "Create EJB 3.0 SessionBean" instead the on for EJB 2.1.

I've tried also the launch the wizard selecting the "Session Bean" item in
the “Project Explorer" view. By expanding EJB > Deployment Descriptor:EJB
> Session Bean, then right click on "Session Bean" item but it didn't show
any wizard to create Session Bean.

Does anybody know how to fix this? Is there any version that wizards for
EJB 2.1 work?

Thanks in advance for any help.

Renato Melo
Re: Wizard New SessionBean 2.1 [message #222616 is a reply to message #222612] Thu, 09 October 2008 10:42 Go to previous messageGo to next message
Kaloyan Raev is currently offline Kaloyan RaevFriend
Messages: 189
Registered: July 2009
Location: Sofia, Bulgaria
Senior Member
Renato,

The wizards you have used are for creating EJB 3.0 beans and therefore work
only on EJB 3.0 projects.
WTP provides another wizard for creating EJB 2.1 beans - the XDoclet
Enterprise JavaBean wizard. In order to use it you have to create your EJB
2.1 project with the XDoclet facet enabled. You have also to download the
XDoclet binaries and configure their location in WIndow > Preferences >
XDoclet.

If you don't want to use XDoclet you may search for an adopter's product
based on Eclipse WTP. There are numerous that provide comprehensive wizards
for Java EE development.

Greetings,
Kaloyan

"Renato de Melo" <renato_de_melo@yahoo.com.br> wrote in message
news:85907f27a217929d2f330a5e9335038f$1@www.eclipse.org...
> Wizard new SessionBean for EJB 2.1 doesn't work.
> I've tried doing it on Ganymede 3.4.1 and Europa 3.3.2 and 3.3.3, but it
> didn
Re: Wizard New SessionBean 2.1 [message #222701 is a reply to message #222616] Fri, 17 October 2008 17:35 Go to previous message
Renato de Melo is currently offline Renato de MeloFriend
Messages: 2
Registered: July 2009
Junior Member
Do someone knows any plugin that doesn't use XDoclet and is open source
(free)?

Thanks

Renato
Previous Topic:maven, eclipse, WTP 1.5.5 and deep project structures
Next Topic:Servlet Version Conflict
Goto Forum:
  


Current Time: Thu Nov 27 01:47:49 GMT 2014

Powered by FUDForum. Page generated in 0.01974 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software